#pragma once

#include <string>

namespace font
{
    namespace type
    {
        const int normal    = 0;
        const int colored   = 1;
        const int fade      = 2;
    }

    namespace color
    {
        const int white = 0;
        const int red   = 1;
        const int green = 2;
        const int blue  = 3;
    }

    void init();
    void selectFont(const int which);
    void setColor(const int color);
    
    void print(const int x, const int y, const std::string text);
    void print(const int x, const int y, const int num);
}
